<?php
require '../../conexion.php';
session_start();

$sql = "SELECT compras(" . $_REQUEST['accion'] . ","
        . $_REQUEST['vcod'] . "," .
        //$_REQUEST['vorden'] . "," .
        ((!empty($_POST['vorden'])?$_POST['vorden']:'null')).",".
        ((!empty($_POST['vcom_fecha'])? "'".$_POST['vcom_fecha']."'":'null')).",".
        $_REQUEST['vusu'] . "," .
        $_REQUEST['vsuc'] . "," .
        $_REQUEST['vprv'] . ",'" .
        //$_REQUEST['fecha'] . "','" .
        $_REQUEST['vnrofac'] . "','" .
        $_REQUEST['vnrotim'] . "','" .
        $_REQUEST['vcondicion'] . "'," .
        $_REQUEST['vcantcuo'] . ",'" .
        $_REQUEST['vintervalo'] . "'," .
       // $_REQUEST['vgravadas'] . "'," .
       $_REQUEST['viva'] . ",".
       $_REQUEST['vtotal'] . ",'". 
        //$_REQUEST['vestado'] 
       $_REQUEST['vfechavenc'] . "'"
        . ") as compras;";

$resultado = consultas::get_datos($sql);


if ($resultado[0]['compras'] == null) {
    $_SESSION['mensaje'] = 'Error de Proceso ' + $sql;
    header('location:./' . $_REQUEST['pagina']);
} else {
    $valores = explode("*", $resultado[0]['compras']);
    $_SESSION['mensaje'] = $valores[0]."_".$_REQUEST['accion'];    
    header('location:./'.$valores[1]);   
}
?>


